<template>
  <router-link
    :to="{ name: 'Event', params: { id: event.id } }"
    class="event-preview"
    :style="{
      background: `url(${
        event.avatar
          ? event.avatar.url.full_size
          : require('../assets/splash.svg')
      }) no-repeat
    center center`,
    }"
  >
    <div class="event-info">
      <p>{{ event.organization.tilte || event.organization.name }}</p>
      <p>{{ event.participants_count || 0 }} уч.</p>
    </div>
    <div class="event-description">
      <h4>{{ event.title }}</h4>
      <p>{{ event.description }}</p>
    </div>
  </router-link>
</template>

<script>
export default {
  name: "EventPreview",

  props: {
    event: {
      type: Object,
    },
  },
};
</script>

<style scoped lang="scss">
.event {
  &-preview {
    width: 230px;
    height: 246px;
    flex: 0 0 auto;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    background-size: cover !important;
    &:after {
      content: "";
      width: 100%;
      height: 100%;
      display: block;
      background: linear-gradient(
        180deg,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.35) 100%
      );
      z-index: 2;
      left: 0;
      top: 0;
    }
  }
  &-info {
    position: absolute;
    display: flex;
    z-index: 5;
    align-items: center;
    justify-content: space-between;
    width: calc(100% - 24px);
    top: $base-space * 3;
    left: $base-space * 3;
    > p {
      border-radius: 4px;
      padding: $base-space 10px;
      font-weight: 400;
      font-size: 9px;
      line-height: 12px;
      &:first-child {
        background: $white;
        color: $blue;
      }
      &:last-child {
        background: $blue;
        color: $white;
      }
    }
  }
  &-description {
    position: absolute;
    z-index: 5;
    bottom: $base-space * 3;
    left: $base-space * 3;
    width: calc(100% - 24px);
    > h4 {
      font-weight: 400;
      font-size: 14px;
      line-height: 18px;
      color: $white;
      margin: 0 0 ($base-space);
    }
    > p {
      font-weight: 400;
      font-size: 12px;
      line-height: 12px;
      color: $white;
      margin: 0 0 ($base-space * 2);
      -webkit-line-clamp: 4;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      overflow: hidden;
      max-height: 36px;
    }
  }
}
</style>
